﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Media;


namespace UIComposition.Views.HourlyRequestsView
{
    class HourlyReqRegConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return Binding.DoNothing;
            try
            {
                string d = value.ToString();
                if (d != "RTO-R")
                { d = "false"; }
                return d;
            }
            catch
            { return Binding.DoNothing; }


        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return Binding.DoNothing;

        }

        #endregion
    }
}
